org.apache.commons.codec

## Interface StringEncoder

- All Superinterfaces:
    Encoder
  All Known Implementing Classes:
    AbstractCaverphone, BCodec, BeiderMorseEncoder, Caverphone, Caverphone1, Caverphone2, ColognePhonetic, DoubleMetaphone, MatchRatingApproachEncoder, Metaphone, Nysiis, QCodec, QuotedPrintableCodec, RefinedSoundex, Soundex, URLCodec

      public interface StringEncoder
      extends Encoder

  Defines common encoding methods for String encoders.
  Version:
    $Id: StringEncoder.java 1379145 2012-08-30 21:02:52Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `encode(String source)` Encodes a String and returns a String.

    - ### Methods inherited from interface org.apache.commons.codec.Encoder

      `encode`

- - ### Method Detail

    - #### encode

          String encode(String source)
                        throws EncoderException

      Encodes a String and returns a String.
      Parameters:
        `source` - the String to encode
      Returns:
        the encoded String
      Throws:
        `EncoderException` - thrown if there is an error condition during the encoding process.

Copyright © 2002-2013 The Apache Software Foundation. All Rights Reserved.